[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TBlobField.Clear

Clear the BLOB field's contents

## Declaration

Source position: db.pas line 815

`public procedure TBlobField.Clear; override;`

## Description

Clear overrides the TField implementation of TField.Clear. It creates and immediatly releases an empty blob stream in write mode, effectively clearing the contents of the BLOB field.

## See also

TField.Clear |  | Clear the field contents.
TField.IsNull |  | Is the field empty

The latest version of this document can be found at lazarus-ccr.sourceforge.net .